Page MenuHomePhabricator

[Morten] Review "Schema Migration Audit" document
Closed, ResolvedPublic

Description

Review this spreadsheet and, for any Event Logging schema that your team owns, owned, or authored, please:

  • Add the team's name to the Owner Team(s) column
  • Add your name to the Contact Person(s) column
  • Identify whether the schema should be ported or scheduled for deprecation. (If you are not regularly using the data from a schema, we encourage you to allow it to be deprecated. There will be an opportunity to author a fresh schema and instrumentation using the new system.)

Details

Due Date
Sep 22 2020, 4:00 AM

Event Timeline

mpopov created this task.Sep 9 2020, 2:25 PM
mpopov triaged this task as Medium priority.Sep 9 2020, 2:33 PM
mpopov edited projects, added Product-Analytics (Kanban); removed Product-Analytics.
mpopov set Due Date to Sep 22 2020, 4:00 AM.
mpopov updated the task description. (Show Details)Sep 9 2020, 2:54 PM
nettrom_WMF closed this task as Resolved.Sep 29 2020, 8:03 PM

I've gone through the spreadsheet and added information for all known Growth-related schemas. Looks like the Multimedia team already went through and marked theirs as well. Don't think this needs any peer review, so closing it as resolved.

Looks like the Multimedia team already went through and marked theirs as well.

Heh, that was actually me filling in info where I could.

@mpopov : Ah, feel free to reopen this if you want me to ping the SD team and have them come back to me with a list of schemas.

mpopov reopened this task as Open.Sep 30 2020, 1:19 PM

feel free to reopen this if you want me to ping the SD team and have them come back to me with a list of schemas

Yes please!

@mpopov : Thanks for your patience while I work on juggling tasks and finding time to come back to this. I've discussed the schemas with the SD team and we found that the MultimediaViewer and UploadWizard schemas could be marked for deprecation. As I didn't have edit permission of the googledoc, I left a couple of comments to that effect. I think this concludes everything, handing it to you for sign-off!

mpopov closed this task as Resolved.Oct 7 2020, 7:13 PM

Thanks!